#pragma once

#include <cpphibernate/config.h>

#ifdef CPPHIBERNATE_HAS_CPPMARIADB
    #include "mariadb/classes.h"
    #include "mariadb/context.h"
    #include "mariadb/driver.h"
    #include "mariadb/driver.inl"
    #include "mariadb/helper.h"
    #include "mariadb/impl.h"

    namespace cpphibernate
    {
        using mariadb_driver = ::cpphibernate::mariadb::driver_t;
    }
#else
    #error "cppmariadb library was not found!"
#endif
