#pragma once

namespace cpphibernate {
namespace mariadb {

    /**
     * @brief Helper class to select the right implementation of the create/update operation for the passed datatype.
     *
     * @tparam T_dataset    Dataset type to select implementation for.
     */
    template<typename T_dataset, typename = void>
    struct create_update_impl_t;

} }
