#pragma once

namespace cpphibernate {
namespace mariadb {

    /**
     * @brief Helper class to select the right implementation of the destroy operation for the passed datatype.
     *
     * @tparam T_dataset    Dataset type to select implementation for.
     */
    template<typename T_dataset, typename = void>
    struct destroy_impl_t;

} }
