#pragma once

#include "order_direction.h"

namespace cpphibernate
{

    namespace __impl
    {

        /* tag_order_direction */

        struct tag_order_direction
            { };

        /* order_direction_t */

        template<typename T_field>
        struct order_direction_t
            : public tag_order_direction
        {
            using field_type            = T_field;
            using wrapped_field_type    = hana::type<mp::decay_t<field_type>>;

            wrapped_field_type wrapped_field;
        };

    }

    /* is_order_direction */

    template<typename T>
    struct is_order_direction
        : public mp::is_base_of<__impl::tag_order_direction, T>
        { };

}
