# Version
Set                               ( CPPHIBERNATE_VERSION_MAJOR 1 )
Set                               ( CPPHIBERNATE_VERSION_MINOR 0 )
Set                               ( CPPHIBERNATE_VERSION_PATCH 0 )
Set                               ( CPPHIBERNATE_VERSION_BUILD 0 )
Set                               ( CPPHIBERNATE_VERSION_SHORT "${CPPHIBERNATE_VERSION_MAJOR}.${CPPHIBERNATE_VERSION_MINOR}" )
Set                               ( CPPHIBERNATE_VERSION "${CPPHIBERNATE_VERSION_SHORT}.${CPPHIBERNATE_VERSION_PATCH}.${CPPHIBERNATE_VERSION_BUILD}" )
Set                               ( CPPHIBERNATE_NAME "cpphibernate-${CPPHIBERNATE_VERSION_SHORT}" )
Set                               ( CPPHIBERNATE_OUTPUTNAME "cpphibernate" )

# Install directories
Set                               ( CPPHIBERNATE_INSTALL_DIR_INCLUDE "include/${CPPHIBERNATE_NAME}" )
Set                               ( CPPHIBERNATE_INSTALL_DIR_LIB "lib" )
Set                               ( CPPHIBERNATE_INSTALL_DIR_SHARE "share/${CPPHIBERNATE_NAME}" )

# C Standard
Set                               ( CMAKE_C_STANDARD   11 )
Set                               ( CMAKE_CXX_STANDARD 17 )
Set                               ( CMAKE_C_STANDARD_REQUIRED   ON )
Set                               ( CMAKE_CXX_STANDARD_REQUIRED ON )

# Git Version
Include                           ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
If                                ( HAS_GIT_HELPER )
    GitGetVersion                     ( ${CMAKE_CURRENT_LIST_DIR}/..
                                        CPPHIBERNATE_VERSION_MAJOR
                                        CPPHIBERNATE_VERSION_MINOR
                                        CPPHIBERNATE_VERSION_PATCH
                                        CPPHIBERNATE_VERSION_BUILD
                                        CPPHIBERNATE_VERSION_HASH )
EndIf                             ( )
