#pragma once

#include "field_simple.h"

namespace cpphibernate {
namespace mariadb {

    /* field_simple_t */

    template<
        typename T_field>
    template<
        typename T_schema,
        typename T_table>
    field_simple_t<T_field>::field_simple_t(
        const table_t&  p_owner,
        const T_schema& p_schema,
        const T_table&  p_table,
        const T_field&  p_field)
        : field_t::field_t(
            p_owner,
            p_schema,
            p_table,
            p_field)
        , _field(p_field)
        { }

} }
