#pragma once





namespace cpphibernate {
namespace mariadb {

    /**
     * @brief Vector of fields.
     */
    struct fields_t
        : public std::vector<field_ptr_u>
    {
        using base_type = std::vector<field_ptr_u>;
        using base_type::base_type;
    };

    namespace __impl
    {

        /**
         * @brief Helper class to create table vector.
         */
        template<typename X, typename = void>
        struct fields_builder;

    }

    /**
     * @brief Predicate to create table vector.
     */
    constexpr decltype(auto) make_fields = mp::generic_predicate<__impl::fields_builder> { };

} }
