#pragma once

#include "table_simple.h"

namespace cpphibernate {
namespace mariadb {

    /* table_simple_t */

    template<
        typename T_schema,
        typename T_table,
        typename T_base_dataset,
        typename T_derived_datasets>
    table_simple_t::table_simple_t(
        const schema_t& p_owner,
        const T_schema& p_schema,
        const T_table&  p_table,
        const T_base_dataset&&,
        const T_derived_datasets&&)
        : table_t(
            p_owner,
            p_schema,
            p_table)
        { }

} }
