#pragma once

#include "base_context.h"

namespace cpphibernate {
namespace mariadb {

    /**
     * @brief Mariadb driver context for initializing the database.
     */
    struct init_context
        : public base_context
    {
        bool recreate;

        inline init_context(
            const schema_t&             p_schema,
            ::cppmariadb::connection&   p_connection,
            bool                        p_recreate);
    };

} }
