#pragma once

#include "init_context.h"

#include "base_context.inl"

namespace cpphibernate {
namespace mariadb {

    /* init_context */

    init_context::init_context(
        const schema_t&             p_schema,
        ::cppmariadb::connection&   p_connection,
        bool                        p_recreate)
        : base_context  (p_schema, p_connection)
        , recreate      (p_recreate)
        { }

} }
