#pragma once

#include <cpphibernate/config.h>

namespace cpphibernate
{

    namespace __impl
    {

        /**
         * @brief Helper type to build print container.
         */
        template<typename X, typename = void>
        struct print_container_builder;

    }

    /**
     * @brief Predicate to create print container from the passed attributes.
     */
    constexpr decltype(auto) make_print_container = mp::generic_predicate<__impl::print_container_builder> { };

}

#include "print_container.inl"
