#pragma once

#include <cpphibernate/config.h>

namespace cpphibernate
{

    /**
     * @brief Evaluates to true_t if the passed type is a order_direction, false_t otherwise.
     */
    template<typename T>
    struct is_order_direction;

    /**
     * @brief Is true if the passed type is a order_direction, false otherwise.
     */
    template<typename T>
    constexpr decltype(auto) is_order_direction_v = is_order_direction<T>::value;

}

#include "order_direction.inl"
