#pragma once

#include <cpphibernate/config.h>

namespace cpphibernate
{

    /**
     * @brief Evaluates to true_t if the passed type is a where_clause, false_t otherwise.
     */
    template<typename T>
    struct is_where_clause;

    /**
     * @brief Is true if the passed type is a where_clause, false otherwise.
     */
    template<typename T>
    constexpr decltype(auto) is_where_clause_v = is_where_clause<T>::value;

}

#include "where_clause.inl"
